      program sp610
      implicit none
      integer iy, i, j, Nr, Nx
      parameter( Nr=100000, Nx=1000 )
      real*8 r, dx, x(1001), Box(Nx), BoxP(Nx)
      data iy, Box / 1234567, Nx*0d0 /
      dx  = (1.0-0.0)/Nx
      x(1)= 0
      do j=1,Nx
        x(j+1) = x(j) + dx
      enddo
      do i=1,Nr
        call ransu( iy, r )             ! -> sp600.f
!       write(*,*) i, iy, r
        do j=1,Nx
          if( x(j).lt.r .and. r.le.x(j+1) ) then
            Box(j) = ______ + _
            go to 100
          endif
        enddo
  100   continue
      enddo
      do j=1,Nx
        BoxP(j) = ______ / __ / __      ! BoxP:Probability, Box:Number
      enddo
      open(1,file='sp610.dat')
      do j=1,Nx
        write(1,'(i4,1p4e12.4)') j, x(j), x(j)+dx/2, Box(j), BoxP(j)
      enddo
      close(1)
      stop
      end
